Bug 58544 - gcharmap thinks that it is iso8859-1 only
Summary: gcharmap thinks that it is iso8859-1 only
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gnome-utils (Show other bugs)
(Show other bugs)
Version: 7.2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Havoc Pennington
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-01-19 06:43 UTC by Michal Jaegermann
Modified: 2007-04-18 16:39 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-01-19 16:25:31 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Michal Jaegermann 2002-01-19 06:43:23 UTC
Description of Problem:

In "Settings" menu for gcharmap it is possible to pick up a font in
an encoding other than iso8859-1 and a displayed table changes accordingly.
But a text at the bottom, a small window under "Help" button which shows
a magnified character, and a "Text to copy:" window still insist on using
glyphs from iso8859-1 set.  This looks particularly ridiculous
and misleading if glyphs are mostly different than iso8859-1.  Say koi-8
or iso8859-7 or even iso8859-2.

Yes, I realize that pasting a text from "Text to copy:" into a terminal
window will have results dependent on fonts used in a given terminal;
but I happen to have classes of gnome-terminal using different font
encodigs adjusted to various needs.

Version-Release number of selected component (if applicable):
gnome-utils-1.4.0-4

Comment 1 Havoc Pennington 2002-01-19 16:25:26 UTC
Yeah, gcharmap is totally broken. There's a newer UTF-8 version in GNOME 2, I
wonder if it would be a good idea to upgrade to that.

Comment 2 Havoc Pennington 2002-02-26 20:36:46 UTC
Fixes to this problem will come with GNOME 2, only critical bugfixes on GNOME
1.x at this point.


Note You need to log in before you can comment on or make changes to this bug.